Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Class DefaultProfile

    java.lang.Object
      |
      +--jpos.profile.DefaultProfile

All Implemented Interfaces:
  Profile, java.io.Serializable

class DefaultProfile
extends java.lang.Object
implements Profile, java.io.Serializable

Defines a Profile which is an abstract definition of a set of JposEntry objects and each entry's required set of properties

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`(package private)` | `DefaultProfile(java.lang.String name)` Creates a profile with name passed

Method Summary
`java.lang.String` | `getDescription()`
`DevCatInfoList` | `getDevCatInfoList()`
`java.lang.String` | `getName()`
`java.lang.String` | `getVendorName()`
`java.net.URL` | `getVendorUrl()`
`java.lang.String` | `getVersion()`
`(package private) void` | `setDescription(java.lang.String s)`
`(package private) void` | `setVendorName(java.lang.String s)` Sets the vendorName
`(package private) void` | `setVendorUrl(java.net.URL url)` Sets the URL for this vendor
`(package private) void` | `setVersion(java.lang.String s)` Sets the the version of this profile
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultProfile

    DefaultProfile(java.lang.String name)

  Creates a profile with name passed
  Parameters:
    `name` - the Profile's name

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Profile`
  Returns:
    the unique name of this profile

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `Profile`
  Returns:
    the version of this profile

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `Profile`
  Returns:
    a String description of this profile

### getVendorName

    public java.lang.String getVendorName()

  Specified by:
    `getVendorName` in interface `Profile`
  Returns:
    the vendor name of this profile

### getVendorUrl

    public java.net.URL getVendorUrl()

  Specified by:
    `getVendorUrl` in interface `Profile`
  Returns:
    the URL for this vendor

### getDevCatInfoList

    public DevCatInfoList getDevCatInfoList()

  Specified by:
    `getDevCatInfoList` in interface `Profile`
  Returns:
    the list of DevCatInfo for this profile

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String representation of this Profile

### setVersion

    void setVersion(java.lang.String s)

  Sets the the version of this profile
  Parameters:
    `s` - the String object

### setDescription

    void setDescription(java.lang.String s)

  Parameters:
    `s` - the String
  Returns:
    a String description of this profile

### setVendorName

    void setVendorName(java.lang.String s)

  Sets the vendorName
  Parameters:
    `s` - the String vendor name

### setVendorUrl

    void setVendorUrl(java.net.URL url)

  Sets the URL for this vendor
  Parameters:
    `url` - the URL

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details